# Gs1Handling enum

GS1_COMPOSITE barcode type handling

Inheritance
  - Object
  - Enum
  - Gs1Handling

## Constructors

Gs1Handling()
  const

## Values

NONE → const Gs1Handling

  The (FNC1) character is simply stripped from the result in barcodes that implement this mode. Do not use. Will be removed in a future release.

PARSE → const Gs1Handling

  GS1 messages are converted to the machine-readable format per the GS1 spec (the special FNC1 character is converted to ASCII \x1D). The implied 01 AI key is prepended to DataBar results. No validation is performed.

VALIDATE_STRUCTURE → const Gs1Handling

  Same as PARSE. Additionally, messages containing unknown AI keys, or containing values of incorrect format for known keys, are not returned.

DECODE_STRUCTURE → const Gs1Handling

  Same as VALIDATE_STRUCTURE, except that GS1 strings are converted to the human-readable format, instead (with parentheses used to wrap AI keys, e.g. (01)123456789). The \x1D character is never used in this representation.

VALIDATE_FULL → const Gs1Handling

  Full validation including linting and checksums. This is the most strict mode.

DECODE_FULL → const Gs1Handling

  Same as DECODE_STRUCTURE, but with full validation.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<Gs1Handling>
  A constant List of the values in this enum, in order of their declaration.